Legacy v1
Create a Webhook Integration
Configure webhook integration for a legacy v1 account.
POST
/
v1
/
business
/
integration
Create a Webhook Integration
curl --request POST \
--url https://api.pagou.ai/v1/business/integration \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--data '
{
"webhookUrl": "<string>",
"pixWebhookUrl": "<string>"
}
'import requests
url = "https://api.pagou.ai/v1/business/integration"
payload = {
"webhookUrl": "<string>",
"pixWebhookUrl": "<string>"
}
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: '<string>', pixWebhookUrl: '<string>'})
};
fetch('https://api.pagou.ai/v1/business/integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "int_5fba5982a6b34f59a6f3dd8ad58c1d44",
"webhookUrl": "https://example.app/webhooks/pagou",
"pixWebhookUrl": "https://example.app/webhooks/pagou/pix",
"status": "active"
}{
"type": "https://api.pagou.ai/problems/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The request contains invalid data.",
"instance": "/v1/business/integration",
"errors": [
{
"field": "transaction.value",
"message": "Must be greater than zero.",
"code": "invalid_type"
}
]
}{
"type": "https://api.pagou.ai/problems/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Authentication failed for POST /v1/business/integration.",
"instance": "/v1/business/integration"
}⌘I
Create a Webhook Integration

